Bug 1655843 - [RFE] ceph-validate must validate all configs and then convey user all errors at once
Summary: [RFE] ceph-validate must validate all configs and then convey user all errors...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: 4.*
Assignee: Andrew Schoen
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 04:30 UTC by Vasishta
Modified: 2019-11-05 16:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 16:05:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vasishta 2018-12-04 04:30:14 UTC
Description of problem:
Currently ceph-validate fails playbook whenever it encounters an error in initializing a config.
It would be helpful if ceph-validate could validate all config and notify users with all the errors in the config

Comment 6 Giridhar Ramaraju 2019-08-05 13:08:37 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 7 Giridhar Ramaraju 2019-08-05 13:10:03 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri


Note You need to log in before you can comment on or make changes to this bug.